Package org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections

# Class DiscoveryCollectionsCrsUri

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture
org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.AbstractDiscoveryCollections
org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.DiscoveryCollectionsCrsUri

public class DiscoveryCollectionsCrsUri extends AbstractDiscoveryCollections
Verifies objects in the paths /collections

     Abstract Test 1:  /conf/crs/crs-uri
     Test Purpose: Verify that each CRS identifier is a valid value
     Requirement: /req/crs/crs-uri, /req/crs/fc-md-crs-list A, /req/crs/fc-md-storageCrs, /req/crs/fc-md-crs-list-global

     Test Method
     For each string value in a crs or storageCrs property in the collections and collection objects in the paths /collections and /collections/{collectionId}, validate that the string conforms to the generic URI syntax as specified by RFC 3986, section 3. In addition, accept a single value of #/crs in each collection object at path /collections, if the collections object has a crs property.
      1. For http-URIs (starting with http:) validate that the string conforms to the syntax specified by RFC 7230, section 2.7.1.
      2. For https-URIs (starting with https:) validate that the string conforms to the syntax specified by RFC 7230, section 2.7.2.
      3. For URNs (starting with urn:) validate that the string conforms to the syntax specified by RFC 8141, section 2.
      4. For OGC URNs (starting with urn:ogc:def:crs:) and OGC http-URIs (starting with http://www.opengis.net/def/crs/) validate that the string conforms to the syntax specified by OGC Name Type Specification - definitions - part 1 – basic name.

Author:
  Lyn Goltz

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

  `noOfCollections`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscoveryCollectionsCrsUri()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `verifyCollectionsCollectionCrsIdentifierOfCrsProperty(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath, Map<String,Object> collection)`
  Test: crs property in the collection objects in the path /collections
  `void`
  `verifyCollectionsCollectionCrsIdentifierOfStorageCrs(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath, Map<String,Object> collection)`
  Test: storageCrs property in the collection objects in the path /collections
  `void`
  `verifyCollectionsCrsIdentifierOfCrsProperty(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath)`
  Test: crs property in the collections object in the path /collections
  `void`
  `verifyCollectionsCrsIdentifierOfStorageCrs(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath)`
  Test: storageCrs property in the collections object in the path /collections

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.AbstractDiscoveryCollections

  `collectionItemUris, collectionsResponses, retrieveRequiredInformationFromTestContext`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

  `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForOtherResources, getApiModel, noOfCollections, requirementClasses, retrieveApiModel`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiscoveryCollectionsCrsUri

    public DiscoveryCollectionsCrsUri()

- ## Method Details

  - ### verifyCollectionsCrsIdentifierOfCrsProperty

    public void verifyCollectionsCrsIdentifierOfCrsProperty(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath)
    Test: crs property in the collections object in the path /collections
    Parameters:
      `testPoint` - test point to test, never `null`
      `jsonPath` - the /collections JSON, never `null`

  - ### verifyCollectionsCrsIdentifierOfStorageCrs

    public void verifyCollectionsCrsIdentifierOfStorageCrs(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath)
    Test: storageCrs property in the collections object in the path /collections
    Parameters:
      `testPoint` - test point to test, never `null`
      `jsonPath` - the /collections JSON, never `null`

  - ### verifyCollectionsCollectionCrsIdentifierOfCrsProperty

    public void verifyCollectionsCollectionCrsIdentifierOfCrsProperty(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath, Map<String,Object> collection)
    Test: crs property in the collection objects in the path /collections
    Parameters:
      `testPoint` - test point to test, never `null`
      `jsonPath` - the /collections JSON, never `null`
      `collection` - the /collection object, never `null`

  - ### verifyCollectionsCollectionCrsIdentifierOfStorageCrs

    public void verifyCollectionsCollectionCrsIdentifierOfStorageCrs(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath, Map<String,Object> collection)
    Test: storageCrs property in the collection objects in the path /collections
    Parameters:
      `testPoint` - test point to test, never `null`
      `jsonPath` - the /collections JSON, never `null`
      `collection` - the /collection object, never `null`